Authorization: Bearer ********************{
"name": "",
"type": "TRANSACTION",
"journalTypeId": "string",
"conditions": "",
"entryLineAuxiliaryValueMap": [
[
{
"auxiliaryTypeId": "string",
"value": {
"type": "string",
"auxiliaryItemId": "string"
}
}
]
],
"entryActions": [
{}
],
"enableAutomationJournalApproved": true
}curl --location --globoff 'https://web-api.blockindex.com/entity/{{entityId}}/valuation/derivativeAdjustment/automationRule' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "",
"type": "TRANSACTION",
"journalTypeId": "string",
"conditions": "",
"entryLineAuxiliaryValueMap": [
[
{
"auxiliaryTypeId": "string",
"value": {
"type": "string",
"auxiliaryItemId": "string"
}
}
]
],
"entryActions": [
{}
],
"enableAutomationJournalApproved": true
}'{
"status": "success",
"requestId": "ed458995-3eb1-48c9-90b3-1e6f4d57ab82",
"data": {
"derivativeAdjustmentAutomationRuleId": "string",
"entityId": "string",
"priority": 0,
"name": "string",
"derivativeType": "string",
"conditions": [
{}
],
"journalTypeId": "string",
"entryActions": [
{}
],
"enabled": true,
"isSystem": true,
"enableAutomationJournalApproved": "true",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string"
}
}